#!/usr/bin/env python3
#
# config.py
#

import json
from os.path import join
from types import SimpleNamespace

from utils.misc import *


def read_config(name):
    cfgdir = setup_outdir('config', __file__)

    with open(join(cfgdir, name+'.cfg'), 'r') as f:
        d = json.load(f)

    cfg = d[1]
    cfg['name'] = name

    return SimpleNamespace(**cfg)

